<!-- prettier-ignore-start -->
# express-nedb-admin

Admin interface for express application with NEDB database

![npm](https://img.shields.io/npm/v/express-nedb-admin.svg) ![license](https://img.shields.io/npm/l/express-nedb-admin.svg) ![github-issues](https://img.shields.io/github/issues/wspecs/express-nedb-admin.svg)

![nodei.co](https://nodei.co/npm/express-nedb-admin.png?downloads=true&downloadRank=true&stars=true)

![travis-status](https://img.shields.io/travis/wspecs/express-nedb-admin.svg)
![stars](https://img.shields.io/github/stars/wspecs/express-nedb-admin.svg)
![forks](https://img.shields.io/github/forks/wspecs/express-nedb-admin.svg)

![forks](https://img.shields.io/github/forks/wspecs/express-nedb-admin.svg)

![](https://david-dm.org/wspecs/express-nedb-admin/status.svg)
![](https://david-dm.org/wspecs/express-nedb-admin/dev-status.svg)

## Features

- Admin interface for express application with NEDB database

## Usage

```bash
tsm-starter
> ✔ Name of the package … name-of-the-package
> ✔ Description of the package … Descriptionm for the package
> ✔ License type … MIT
> ✔ What's your name? … Author's Name
> ✔ What's your email? … Author's Email
> ✔ What's your website url? … Author's Url
> ✔ What's your GitHub repo? … Author's GitHub Repo
```

## Install

`npm install --save express-nedb-admin`

Or as binary

``npm install --g express-nedb-admin`

## Scripts

 - **npm run build** : `rm -rf dist && tsc && npm run readme`
 - **npm run readme** : `node ./node_modules/.bin/node-readme`
 - **npm run test** : `mocha ./dist/test/*.js`

## Dependencies

Package | Version | Dev
--- |:---:|:---:
[commander](https://www.npmjs.com/package/commander) | ^2.19.0 | ✖
[great-logs](https://www.npmjs.com/package/great-logs) | 0.0.4 | ✖
[prompts](https://www.npmjs.com/package/prompts) | ^2.0.1 | ✖
[@decorators/di](https://www.npmjs.com/package/@decorators/di) | ^1.0.2 | ✖
[@decorators/express](https://www.npmjs.com/package/@decorators/express) | ^2.3.0 | ✖
[@overnightjs/core](https://www.npmjs.com/package/@overnightjs/core) | ^1.3.3 | ✖
[args-finder](https://www.npmjs.com/package/args-finder) | 0.0.3 | ✖
[bcryptjs](https://www.npmjs.com/package/bcryptjs) | ^2.4.3 | ✖
[body-parser](https://www.npmjs.com/package/body-parser) | ^1.18.2 | ✖
[client-sessions](https://www.npmjs.com/package/client-sessions) | ^0.8.0 | ✖
[cookie-parser](https://www.npmjs.com/package/cookie-parser) | ^1.4.3 | ✖
[cookies](https://www.npmjs.com/package/cookies) | ^0.7.1 | ✖
[crypto](https://www.npmjs.com/package/crypto) | ^1.0.1 | ✖
[cryptr](https://www.npmjs.com/package/cryptr) | ^4.0.2 | ✖
[ejs](https://www.npmjs.com/package/ejs) | ^2.6.1 | ✖
[express](https://www.npmjs.com/package/express) | ^4.16.4 | ✖
[express-starter-config](https://www.npmjs.com/package/express-starter-config) | 0.0.2 | ✖
[faker](https://www.npmjs.com/package/faker) | ^4.1.0 | ✖
[filesize](https://www.npmjs.com/package/filesize) | ^4.0.0 | ✖
[html-minifier](https://www.npmjs.com/package/html-minifier) | ^3.5.21 | ✖
[i18n](https://www.npmjs.com/package/i18n) | ^0.8.3 | ✖
[joi](https://www.npmjs.com/package/joi) | ^14.3.1 | ✖
[md5](https://www.npmjs.com/package/md5) | ^2.2.1 | ✖
[mkdirp](https://www.npmjs.com/package/mkdirp) | ^0.5.1 | ✖
[nedb](https://www.npmjs.com/package/nedb) | ^1.8.0 | ✖
[pagination](https://www.npmjs.com/package/pagination) | ^0.4.6 | ✖
[path](https://www.npmjs.com/package/path) | ^0.12.7 | ✖
[shelljs](https://www.npmjs.com/package/shelljs) | ^0.8.3 | ✖
[walkdir](https://www.npmjs.com/package/walkdir) | 0.0.12 | ✖
[@types/chai](https://www.npmjs.com/package/@types/chai) | ^4.1.3 | ✔
[@types/mocha](https://www.npmjs.com/package/@types/mocha) | ^5.2.0 | ✔
[@types/node](https://www.npmjs.com/package/@types/node) | ^10.0.2 | ✔
[chai](https://www.npmjs.com/package/chai) | ^4.1.2 | ✔
[mocha](https://www.npmjs.com/package/mocha) | ^5.1.1 | ✔
[node-readme](https://www.npmjs.com/package/node-readme) | ^0.1.9 | ✔


## Contributing

Please check the [Contributing Guidelines](contributing.md) for more details. Thanks!

## Author

[Wendly Saintil](https://twitter.com/wendlysaintil)

## License

[MIT](LICENSE)
<!-- prettier-ignore-end -->
